Bug 1128893 - spacewalk-repo-sync does not work for channels that are children of non-custom parents
Summary: spacewalk-repo-sync does not work for channels that are children of non-custo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 2.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space23
TreeView+ depends on / blocked
 
Reported: 2014-08-11 18:32 UTC by Stephen Herr
Modified: 2015-04-14 19:03 UTC (History)
0 users

Fixed In Version: spacewalk-backend-2.3.6-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-14 19:03:19 UTC


Attachments (Terms of Use)

Description Stephen Herr 2014-08-11 18:32:53 UTC
Description of problem:
spacewalk-repo-sync fails if the parent of a custom channel (with a repo associated with it) is not also a custom channel.

How reproducible:
Always

Steps to Reproduce:
1. create a custom channel (with repo) that is a child of a Red Hat channel. In this case, I created epel-6-x86_64 that is a child of rhel-x86_64-server-6
2. spacewalk-repo-sync --channel epel-6-x86_64 --type yum

Actual results:
Traceback (most recent call last):
  File "/usr/bin/spacewalk-repo-sync", line 187, in <module>
    sys.exit(abs(main() or 0))
  File "/usr/bin/spacewalk-repo-sync", line 107, in main
    l_ch_custom=reposync.getCustomChannels()
  File "/usr/lib/python2.6/site-packages/spacewalk/satellite_tools/reposync.py", line 99, in getCustomChannels
    d_parents = getParentsChilds()
  File "/usr/lib/python2.6/site-packages/spacewalk/satellite_tools/reposync.py", line 93, in getParentsChilds
    d_parents[parent_channel].append(row['label'])
KeyError: 'rhel-x86_64-server-6'

Expected results:
We should be able to sync the repos associated with epel-6-x86_64 even though its parent is not a custom channel.

Comment 1 Stephen Herr 2014-08-11 19:33:39 UTC
Committing to Spacewalk master:
cba011b9b3e9aa41f10912a1b5b8f8826f66a6e1

Comment 2 Stephen Herr 2014-08-15 14:47:56 UTC
And 2baec353589afb4689c857f497399da03d48a234

Comment 3 Grant Gainey 2015-03-23 16:59:09 UTC
Moving bugs to ON_QA as we move to release Spacewalk 2.3

Comment 4 Grant Gainey 2015-04-14 19:03:19 UTC
Spacewalk 2.3 has been released. See

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes23


Note You need to log in before you can comment on or make changes to this bug.